## python-neuroshare 0.9.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Python-Neuroshare.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Python-Neuroshare.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Python-Neuroshare"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Python-Neuroshare"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-neuroshare 0.8.5

=== debian/changelog ===
python-neuroshare (0.8.5-1) unstable; urgency=low

  [ Christian Kellner ]
  * Initial Debian packaging. Closes: #663116
    Many thanks to Michael Hanke <mih@debian.org> for the initial
    packaging help!

  [ Michael Hanke ]
  * Call dh_humpy (if available) to get proper dependencies on the respective
    NumPy ABI.
  * Add missing build-dependency on python-setuptools.

 -- Michael Hanke <mih@debian.org>  Wed, 11 Apr 2012 12:19:07 +0200

=== debian/control ===
Source: python-neuroshare
Priority: extra
Maintainer: G-Node Debian Team <debian-team@g-node.org>
Uploaders: Christian Kellner <ck@xatom.net>, Michael Hanke <mih@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev, python-support, python-numpy, python-h5py, python-setuptools
Standards-Version: 3.9.3
Section: science
Homepage: http://www.g-node.org/neuroshare-tools
Vcs-Browser: http://github.com/G-Node/python-neuroshare
Vcs-Git: git://github.com/G-Node/python-neuroshare.git

Package: python-neuroshare
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
XB-Python-Version: ${python:Versions}
Description: Python interface and tools for Neuroshare
 The Neuroshare API is a standardized interface to access electrophysiology
 data stored in various different file formats. To do so, it uses format-
 specific shared libraries.
 .
 This package provides a high-level Python interface to the Neuroshare API
 that focuses on convenience for the user and enables access to all available
 metadata and data. The data is returned in NumPy arrays, which provides a
 quick route to further examination and analysis.
 .
 In addition, this package contains the ns2hdf converter tool that converts
 neuroshare-compatible files into the HDF5 (Hierarchical Data Format, ver. 5)
 file format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# one ring to rule them all ...
%:
	dh $@

# hook for dh_numpy
override_dh_lintian:
	dh_lintian
	# backport friendly
	-[ -x /usr/bin/dh_numpy ] && dh_numpy

override_dh_clean:
	dh_clean
	rm -rf neuroshare.egg-info

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts="filenamemangle=s/.*\/(.*)/python-neuroshare-$1\.tar\.gz/" \
  http://github.com/G-Node/python-neuroshare/downloads .*tarball/([\d\.a-z]+)

## python-neuroshare 0.9.2

=== debian/changelog ===
python-neuroshare (0.9.2-1) unstable; urgency=medium

  [ Christian Kellner ]
  * New upstream release (0.9.2)
  * debian/patches:
    - Update sphinx-pipy-upload patch
  * debian/copyright:
    - Include license for docs theme (Closes: #747869)

  [ Michael Hanke ]
  * Bumped Standards version to 3.9.5; no changes necessary
  * -doc package now adds symlink to /usr/share/doc/python-neuroshare
    pointing to the documentation in HTML format
  * Make debian/rules clean target remove *.egg files to make package build
    more robust.

 -- Christian Kellner <ck@xatom.net>  Mon, 02 Jun 2014 18:21:59 +0200

python-neuroshare (0.9.1-2) unstable; urgency=low

  * debian/watch:
    - update to point to GitHub release page

  * debian/rules:
    - add get-orig-source target to fetch org. tarball

 -- Christian Kellner <ck@xatom.net>  Tue, 22 Apr 2014 15:12:14 +0200

python-neuroshare (0.9.1-1) UNRELEASED; urgency=low

  * New upstream release (0.9.1)

  * debian/patches:
    - Drop all patches (fixed upstream)
    - Add a patch to remove sphinx-pipy-upload
    - Clean _capi.so from neuroshare (inline extension building)

  * debian/rules: Fix building of documentation

 -- Christian Kellner <ck@xatom.net>  Sun, 13 Apr 2014 20:03:40 +0200

python-neuroshare (0.9-1) unstable; urgency=low

  * New upstream release (0.9)

  * debian/control:
    - Add python-neuroshare-doc package
    - Switch to dh-python
      - Depend on dh-python instead of python-support 
      - Remove XB-Python-Version and replace with X-Python-Version
    - Binary package depends on python-h5py (Closes: #684746)       	

  * debian/rules:
    - Changes for dh-python support
    - Build sphix documentation 

  * debian/patches:
    - Add patches to fix doc package building

  * debian/source/options:
    - Ignore *.egg/ directories

 -- Christian Kellner <ck@xatom.net>  Fri, 11 Apr 2014 13:19:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Priority: extra
 Maintainer: G-Node Debian Team <debian-team@g-node.org>
 Uploaders: Christian Kellner <ck@xatom.net>, Michael Hanke <mih@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-all-dev, python-support, python-numpy, python-h5py, python-setuptools
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.0.50~), python-all-dev, dh-python, python-numpy, python-h5py, python-setuptools, python-sphinx (>= 1.0.7+dfsg)
+X-Python-Version: >= 2.6
+Standards-Version: 3.9.5
 Section: science
 Homepage: http://www.g-node.org/neuroshare-tools
 Vcs-Browser: http://github.com/G-Node/python-neuroshare
@@ -12,8 +13,7 @@
 Package: python-neuroshare
 Section: python
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
-XB-Python-Version: ${python:Versions}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-h5py
 Description: Python interface and tools for Neuroshare
  The Neuroshare API is a standardized interface to access electrophysiology
  data stored in various different file formats. To do so, it uses format-
@@ -27,3 +27,23 @@
  In addition, this package contains the ns2hdf converter tool that converts
  neuroshare-compatible files into the HDF5 (Hierarchical Data Format, ver. 5)
  file format.
+
+Package: python-neuroshare-doc
+Architecture: all
+Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Section: doc
+Description: Python interface and tools for Neuroshare
+ The Neuroshare API is a standardized interface to access electrophysiology
+ data stored in various different file formats. To do so, it uses format-
+ specific shared libraries.
+ .
+ This package provides a high-level Python interface to the Neuroshare API
+ that focuses on convenience for the user and enables access to all available
+ metadata and data. The data is returned in NumPy arrays, which provides a
+ quick route to further examination and analysis.
+ .
+ In addition, this package contains the ns2hdf converter tool that converts
+ neuroshare-compatible files into the HDF5 (Hierarchical Data Format, ver. 5)
+ file format.
+ .
+ This package contains HTML documentation files for python-neuroshare.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
upstreamver = $(shell echo $(debver) | cut -d '-' -f 1,1 )

# prevent network access
# cf. https://wiki.debian.org/Python/LibraryStyleGuide
export http_proxy=http://127.0.9.1:9

# one ring to rule them all ...
%:
	dh $@ --with python2,sphinxdoc

# hook for dh_numpy
override_dh_lintian:
	dh_lintian
	# backport friendly
	-[ -x /usr/bin/dh_numpy ] && dh_numpy

override_dh_clean:
	dh_clean
	rm -rf neuroshare.egg-info
	rm -rf build/docs
	rm -f neuroshare/_capi.so
	rm -f *.egg

override_dh_sphinxdoc-arch:
	#noop 

override_dh_auto_install-indep:
	# build the docs for the -doc pkg 
	python setup.py build_sphinx --build-dir=build/docs

get-orig-source:  $(info I: $(srcpkg)_$(upstreamver))
	@echo "# Retrieving org tarball..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(upstreamver)

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-neuroshare-$1\.tar\.gz/" \
  https://github.com/G-Node/python-neuroshare/releases .*/v?(\d\S*)\.tar\.gz
